from sys import setrecursionlimit
import threading

def is_valid_dice(sides):
    a1, a2, a3, a4, a5, a6 = sides
    return (a1 + a6 == a2 + a5) and (a2 + a5 == a3 + a4)
def main():
    n = int(input())
    results = []
    for _ in range(n):
        sides = list(map(int, input().strip().split()))
        if is_valid_dice(sides):
            results.append("yes")
        else:
            results.append("no")

    print("\n".join(results))

    if __name__ == "__main__":
        main()



thread = threading.Thread(target=main)
thread.start()